import { OnlineBoardFilterService } from './filter.service';

export function getOnlineBoardFilterServiceMock(
    toFlightNumberPage?: any,
    toRoutePage?: any,
): OnlineBoardFilterService {
    const service: OnlineBoardFilterService = {} as any;

    if (toRoutePage) {
        service.toRoutePage = toRoutePage;
    }

    if (toFlightNumberPage) {
        service.toFlightNumberPage = toFlightNumberPage;
    }

    return service;
}
